# ----- Nix -----

- name: Check Nix Installed
  stat:
    path: /nix
  register: nix_rc

- name: Download Nix Install Script
  get_url:
    url: https://releases.nixos.org/nix/nix-2.25.3/install
    dest: /tmp/nix-install.sh
    mode: 0777
  when: not nix_rc.stat.exists

- name: Run Nix Install Script
  become: yes
  command: sh /tmp/nix-install.sh --daemon < /dev/null
  when: not nix_rc.stat.exists
